Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class Variable

    java.lang.Object
      org.exist.xquery.Variable

Direct Known Subclasses:
  LocalVariable

public class Variable
extends java.lang.Object

An XQuery/XPath variable, consisting of a QName and a value.

Author:
  wolf

Constructor Summary
`Variable(QName qname)`

Method Summary
`void` | `checkType()`
`int` | `getCardinality()`
`DocumentSet` | `getContextDocs()`
`int` | `getDependencies(XQueryContext context)`
`QName` | `getQName()`
`SequenceType` | `getSequenceType()`
`int` | `getType()`
`Sequence` | `getValue()`
`boolean` | `isInitialized()`
`void` | `setContextDocs(DocumentSet docs)`
`void` | `setIsInitialized(boolean initialized)`
`void` | `setSequenceType(SequenceType type)`
`void` | `setStackPosition(int position)`
`void` | `setValue(Sequence val)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Variable

    public Variable(QName qname)

Method Detail

### setValue

    public void setValue(Sequence val)

### getValue

    public Sequence getValue()

### getQName

    public QName getQName()

### getType

    public int getType()

### setSequenceType

    public void setSequenceType(SequenceType type)

### getSequenceType

    public SequenceType getSequenceType()

### isInitialized

    public boolean isInitialized()

### setIsInitialized

    public void setIsInitialized(boolean initialized)

### toString

    public java.lang.String toString()

### getDependencies

    public int getDependencies(XQueryContext context)

### getCardinality

    public int getCardinality()

### setStackPosition

    public void setStackPosition(int position)

### getContextDocs

    public DocumentSet getContextDocs()

### setContextDocs

    public void setContextDocs(DocumentSet docs)

### checkType

    public void checkType()
                   throws XPathException

  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.